<nav class="navbar navbar-default">
  <div class="container-fluid">
    <div class="navbar-header">
        <a href="#" class="navbar-brand">Recipe Book</a>
    </div>
    <div class="navbar-default">
      <ul class="nav navbar-nav">
        <li routerLinkActive="active" *ngIf="!isAuthenticated"><a [routerLink]="[ '/auth' ]">Authentication</a></li>
        <li routerLinkActive="active" *ngIf="isAuthenticated"><a [routerLink]="[ '/recipes' ]">Recipes</a></li>
        <li routerLinkActive="active" *ngIf="isAuthenticated"><a [routerLink]="[ '/shopping-list' ]">Shopping List</a></li>
      </ul>
      <ul class="nav navbar-nav navbar-right">
        <li *ngIf="isAuthenticated">
            <a (click)="onLogout()">Logout</a>
        </li>
        <li class="dropdown" appDropdown *ngIf="isAuthenticated">
          <a class="dropdown-toggle" role="button">Manage <span class="caret"></span></a>
          <ul class="dropdown-menu">
              <li><a (click)="onStoreData()">Save Data</a></li>
              <li><a (click)="onFetchData()">Fetch Data</a></li>
          </ul>
        </li>
      </ul>
    </div>
  </div>
</nav> 